journal_restart
Prev | Transasction Level | Next

## Name

journal_restart — restart a handle .

## Synopsis

`int journal_restart (` | handle_t * | handle,
| int | nblocks`)`;

## Arguments

`handle`

  handle to restart

`nblocks`

  nr credits requested

## Description

Restart a handle for a multi-transaction filesystem operation.

If the `journal_extend` call above fails to grant new buffer credits to a running handle, a call to journal_restart will commit the handle's transaction so far and reattach the handle to a new transaction capabable of guaranteeing the requested number of credits.

Prev | Up | Next
journal_extend | Home | journal_lock_updates